Skip to content

Get deposit address

GET
/v1/wallet/crypto/{currency}/deposit/address

Returns the default deposit address associated with currency specified in the path variable :currencyCode and the query param networkType (if specified). If networkType is not specified, it will be defaulted based on the configuration for the currency that can be found at /v1/public/currencies. Please also consult the supporting documentation for the /v1/public/currencies api which illustrates different network type scenarios.

Authorizations

apiKey

Your API key

Type
API Key (header: X-VALR-API-KEY)
+
apiSignature

HMAC SHA512 signature of the request (see Authentication section)

Type
API Key (header: X-VALR-SIGNATURE)
+
apiTimestamp

Request timestamp in milliseconds

Type
API Key (header: X-VALR-TIMESTAMP)

Parameters

Path Parameters

currency*

The currency for which to get your deposit address (e.g., BTC, ETH, XRP)

Type
string
Required

Query Parameters

networkType

The network type to use when depositing the specified currency. If not specified, it will be defaulted based on the currency configuration.

Type
string

Responses

Deposit address retrieved successfully

application/json

Playground

Authorization
Variables
Key
Value

Samples